Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo Desktop (http://www.linux-archive.org/gentoo-desktop/)
-   -   Changes to the Kile ebuild (http://www.linux-archive.org/gentoo-desktop/675564-changes-kile-ebuild.html)

Redcap 06-21-2012 08:35 PM

Changes to the Kile ebuild
 
Hi there,

I noticed recently that app-text/acroread has been added
as a runtime dependency to Kile. To be honest, I am not
familiar with the intricacies fo writing Ebuilds, but I can't
see a good reason why Kile should depend on acroread, when
okular or some other PDF-viewer is available. Perhaps someone
can shed some light on this.

Cheers,

recap

Bryan Gardiner 06-22-2012 02:03 AM

Changes to the Kile ebuild
 
On Thu, 21 Jun 2012 22:35:52 +0200
Redcap <maillinglistredcap@gmx.de> wrote:

> Hi there,
>
> I noticed recently that app-text/acroread has been added
> as a runtime dependency to Kile. To be honest, I am not
> familiar with the intricacies fo writing Ebuilds, but I can't
> see a good reason why Kile should depend on acroread, when
> okular or some other PDF-viewer is available. Perhaps someone
> can shed some light on this.
>
> Cheers,
>
> recap
>

The dependency in RDEPEND for kile-2.1.2-r1.ebuild reads:

30 RDEPEND="${DEPEND}
31 $(add_kdebase_dep kdebase-data)
32 || (
33 $(add_kdebase_dep okular 'pdf?,postscript')
34 app-text/acroread
35 )

The || (...) means that Kile depends on either acroread, or okular
with USE=postscript and also USE=pdf if USE=pdf is set on kile. Check
your USE flags on Okular if Portage is wanting to bring in acroread
instead.

Cheers,
Bryan

Redcap 06-22-2012 08:11 AM

Changes to the Kile ebuild
 
Am Donnerstag, 21. Juni 2012, 19:03:49 schrieb Bryan Gardiner:

> The dependency in RDEPEND for kile-2.1.2-r1.ebuild reads:
>
> 30 RDEPEND="${DEPEND}
> 31 $(add_kdebase_dep kdebase-data)
> 32 || (
> 33 $(add_kdebase_dep okular 'pdf?,postscript')
> 34 app-text/acroread
> 35 )
>
> The || (...) means that Kile depends on either acroread, or okular
> with USE=postscript and also USE=pdf if USE=pdf is set on kile. Check
> your USE flags on Okular if Portage is wanting to bring in acroread
> instead.
>
> Cheers,
> Bryan

Hi Brian,

thanks for the help. I installed Okular again and now it has
USE=postscript set, therefore I was able to get rid off acroread.
Thanks again.

Cheers

Redcap


All times are GMT. The time now is 09:20 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.